#include <iostream>

using namespace std;

int main()
{

    ios::sync_with_stdio(0);
    cin.tie(0);
    int N,K,x,y=0,br;
    cin >> N >> K;
    int a[N];
    for(int i=0; i<N; i++)
    {
        cin >> x;
        a[i]=x;
        if(x==K)
        {
            if(i==N-1)
                y=a[0];
            br=i;
        }
    }
    if(y==0)
        y=a[br+1];


    cout << y;

    return 0;
}